Delete a workspace SSO configuration
curl --request DELETE \
--url https://app.hookie.ai/admin/api/sso/{sso_config_id} \
--cookie hookie_session=const options = {method: 'DELETE', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/sso/{sso_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/sso/{sso_config_id}"
headers = {"cookie": "hookie_session="}
response = requests.delete(url, headers=headers)
print(response.text){
"ok": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}SSO
Delete a workspace SSO configuration
DELETE
/
admin
/
api
/
sso
/
{sso_config_id}
Delete a workspace SSO configuration
curl --request DELETE \
--url https://app.hookie.ai/admin/api/sso/{sso_config_id} \
--cookie hookie_session=const options = {method: 'DELETE', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/sso/{sso_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/sso/{sso_config_id}"
headers = {"cookie": "hookie_session="}
response = requests.delete(url, headers=headers)
print(response.text){
"ok": true
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Response
Deleted (hard delete).
Available options:
true